<?php
/**
 * Categories.
 *
 * @package MadeByAura\Prime\Plugins\Elementor\Hooks
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\Elementor\Hooks;

use Elementor\Plugin as Elementor;
use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Categories.
 */
class Categories {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Register categories.
		add_action( 'elementor/elements/categories_registered', [ __CLASS__, 'register' ] );
	}

	/**
	 * Register categories.
	 *
	 * @param \Elementor\Elements_Manager $manager  Elements manager.
	 */
	public static function register( $manager ) {
		$manager->add_category(
			'aura-theme',
			[
				'title' => __( 'Aura Theme', 'aura-prime' ),
				'icon'  => 'fa fa-plug',
			],
		);
	}
}
